<!DOCTYPE html>
<html lang="en" th:replace="common/masterpage :: masterpage(~{}, ~{::page}, ~{::script})" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
</head>
<body>
  <div class="ui main container" th:fragment="page" sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_APPLICATIONS_UPDATE)">
    <th:block th:replace="common/fragments/elements :: title(text = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_APPLICATION}}, 
                                                             icon = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_APPLICATION}, 
                                                             url = @{${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_APPLICATIONS}})" 
                                                             />
    <div class="ui pointing secondary menu" id="tabs" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}">
      <a class="item" data-tab="0">
        <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_INFO}"></i>
        <span class="content" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_INFO}}"></span>
      </a>
      <th:block th:each="environment : ${environments}">
        <a class="item" th:data-tab="${environment.id}" th:id="${'tab-' + #strings.toLowerCase(environment.name)}" th:if="${app.id} != 0">
          <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_PROPERTIES}"></i>
          <span class="content" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_ENVIRONMENT + '.' + environment.id}}"></span>
        </a>
      </th:block>
      <a class="item" data-tab="99">
        <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_RELEASES}"></i>
        <span class="content" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_RELEASES}}"></span>
      </a>
    </div>
    <br />
    <input type="hidden" name="appid" th:value="${app.id}" />
    <div class="ui tab" data-tab="0" th:insert="applications/fragments/info :: appinfo"></div>
    <th:block th:each="environment : ${environments}">
      <div class="ui tab" th:data-tab="${environment.id}"></div>
    </th:block>
    <div class="ui tab" data-tab="99" th:insert="applications/fragments/releases :: body"></div>
    <div th:replace="common/fragments/modal :: modal(large,'')"></div>
    <div th:replace="common/fragments/modal-confirmation :: modal-confirmation"></div>
  </div>
  <script th:src="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_JQUERY_ADDRESS_JS}}"></script>
  <script th:src="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_APPLICATIONS_JS}}"></script>
</body>
</html>